package models

type DrugPatients struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	DialysisNo  string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
}

func (DrugPatients) TableName() string {
	return "xt_patients"
}

type XtBaseDrug struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	DrugName               string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	Pinyin                 string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                   string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	DrugAlias              string  `gorm:"column:drug_alias" json:"drug_alias" form:"drug_alias"`
	DrugAliasPinyin        string  `gorm:"column:drug_alias_pinyin" json:"drug_alias_pinyin" form:"drug_alias_pinyin"`
	DrugAliasWubi          string  `gorm:"column:drug_alias_wubi" json:"drug_alias_wubi" form:"drug_alias_wubi"`
	DrugCategory           int64   `gorm:"column:drug_category" json:"drug_category" form:"drug_category"`
	DrugSpec               string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugType               int64   `gorm:"column:drug_type" json:"drug_type" form:"drug_type"`
	DrugStockLimit         string  `gorm:"column:drug_stock_limit" json:"drug_stock_limit" form:"drug_stock_limit"`
	DrugOriginPlace        string  `gorm:"column:drug_origin_place" json:"drug_origin_place" form:"drug_origin_place"`
	DrugDosageForm         int64   `gorm:"column:drug_dosage_form" json:"drug_dosage_form" form:"drug_dosage_form"`
	MedicalInsuranceLevel  int64   `gorm:"column:medical_insurance_level" json:"medical_insurance_level" form:"medical_insurance_level"`
	MaxUnit                string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit                string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	UnitMatrixing          string  `gorm:"column:unit_matrixing" json:"unit_matrixing" form:"unit_matrixing"`
	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	LastPrice              float64 `gorm:"column:last_price" json:"last_price" form:"last_price"`
	DrugControl            int64   `gorm:"column:drug_control" json:"drug_control" form:"drug_control"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	DrugClassify           string  `gorm:"column:drug_classify" json:"drug_classify" form:"drug_classify"`
	DrugDose               float64 `gorm:"column:drug_dose" json:"drug_dose" form:"drug_dose"`
	DrugDoseUnit           int64   `gorm:"column:drug_dose_unit" json:"drug_dose_unit" form:"drug_dose_unit"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Manufacturer           int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	PharmacologyCategory   int64   `gorm:"column:pharmacology_category" json:"pharmacology_category" form:"pharmacology_category"`
	StatisticsCategory     int64   `gorm:"column:statistics_category" json:"statistics_category" form:"statistics_category"`
	Code                   string  `gorm:"column:code" json:"code" form:"code"`
	IsSpecialDiseases      int64   `gorm:"column:is_special_diseases" json:"is_special_diseases" form:"is_special_diseases"`
	IsRecord               int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	Agent                  int64   `gorm:"column:agent" json:"agent" form:"agent"`
	DrugStatus             string  `gorm:"column:drug_status" json:"drug_status" form:"drug_status"`
	LimitRemark            string  `gorm:"column:limit_remark" json:"limit_remark" form:"limit_remark"`
	DeliveryWay            string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency     string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	SingleDose             float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	PrescribingNumber      float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	Label                  int64   `gorm:"column:label" json:"label" form:"label"`
	Sort                   int64   `gorm:"column:sort" json:"sort" form:"sort"`
	IsUseDoctorAdvice      int64   `gorm:"column:is_use_doctor_advice" json:"is_use_doctor_advice" form:"is_use_doctor_advice"`
	IsDefault              int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsChargePredict        int64   `gorm:"column:is_charge_predict" json:"is_charge_predict" form:"is_charge_predict"`
	IsStatisticsWork       int64   `gorm:"column:is_statistics_work" json:"is_statistics_work" form:"is_statistics_work"`
	IsChargeUse            int64   `gorm:"column:is_charge_use" json:"is_charge_use" form:"is_charge_use"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	OrgId                  int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
}

func (XtBaseDrug) TableName() string {
	return "xt_base_drug"
}

type XtDrugName struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName    string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ParentId    int64  `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
}

func (XtDrugName) TableName() string {
	return "xt_drug_name"
}

type XtStandName struct {
	ID             int64   `gorm:"column:id" json:"id" form:"id"`
	DrugSpec       string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	MinUnit        string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	Price          float64 `gorm:"column:price" json:"price" form:"price"`
	DrugStockLimit string  `gorm:"column:drug_stock_limit" json:"drug_stock_limit" form:"drug_stock_limit"`
	DrugNameId     int64   `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	UserOrgId      int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status         int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DrugName       string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
}

func (XtStandName) TableName() string {
	return "xt_stand_name"
}

type XtSelfMedical struct {
	DrugName    string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	DrugSpec    string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	PatientId   int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DrugNameId  int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	MinUnit     string `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
}

func (XtSelfMedical) TableName() string {
	return "xt_self_medical"
}

type XtSelfStock struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName      string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId    int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec      string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks       string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	StoreNumber   int64  `gorm:"column:store_number" json:"store_number" form:"store_number"`
	AdminUserId   int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime    int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime   int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime   int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	StockInNumber string `gorm:"column:stock_in_number" json:"stock_in_number" form:"stock_in_number"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	MinUnit       string `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	StorageMode   int64  `gorm:"column:storage_mode" json:"storage_mode" form:"storage_mode"`
	MedicId       int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
}

func (XtSelfStock) TableName() string {
	return "xt_self_stock"
}

type XtSelfOutStock struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName       string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId     int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec       string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks        string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	OutstoreNumber int64  `gorm:"column:outstore_number" json:"outstore_number" form:"outstore_number"`
	AdminUserId    int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime     int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	StockOutNumber string `gorm:"column:stock_out_number" json:"stock_out_number" form:"stock_out_number"`
	ExitMode       int64  `gorm:"column:exit_mode" json:"exit_mode" form:"exit_mode"`
	MedicId        int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
}

func (XtSelfOutStock) TableName() string {
	return "xt_self_out_stock"
}

type XtDrugSet struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	DrugStart   int64 `gorm:"column:drug_start" json:"drug_start" form:"drug_start"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtDrugSet) TableName() string {
	return "xt_drug_set"
}

type SelfStocks struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName      string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId    int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec      string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks       string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	StoreNumber   int64  `gorm:"column:store_number" json:"store_number" form:"store_number"`
	AdminUserId   int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime    int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime   int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime   int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	StockInNumber string `gorm:"column:stock_in_number" json:"stock_in_number" form:"stock_in_number"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	MinUnit       string `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	MedicId       int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
	Name          string `gorm:"column:name" json:"name" form:"name"`
	DialysisNO    string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Total         int64
}

type XtSelfOutStocks struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName       string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId     int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec       string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks        string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	OutstoreNumber int64  `gorm:"column:outstore_number" json:"outstore_number" form:"outstore_number"`
	AdminUserId    int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime     int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	StockOutNumber string `gorm:"column:stock_out_number" json:"stock_out_number" form:"stock_out_number"`
	MedicId        int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
	Name           string `gorm:"column:name" json:"name" form:"name"`
	DialysisNO     string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Count          int64
}
